diff --git a/README.md b/README.md
index 267fcde..fdf5d3c 100644
--- a/README.md
+++ b/README.md
@@ -1,6 +1,6 @@
# overlay
-## Funtoo and Gentoo overlay repository
+## Funtoo overlay repository
### Contents
* Fresh ebuilds waiting for addition to the official portage tree.
@@ -8,6 +8,12 @@
### Manual installation:
```
-git clone https://office.gnuardo.com/code/gerardo/overlay gnuardo
-echo 'PORTDIR_OVERLAY="$PWD/gnuardo"' >> /etc/portage/make.conf
+git clone https://office.gnuardo.com/code/gerardo/overlay gnuardo-kit
+echo 'PORTDIR_OVERLAY="$PWD/gnuardo-kit"' >> /etc/portage/make.conf
+cat > /etc/portage/repos.conf/gnuardo-kit << EOF
+[gnuardo-kit]
+location = $PWD/gnuardo-kit
+auto-sync = yes
+priority = 10
+EOF
```
diff --git a/dev-python/docopt/Manifest b/dev-python/docopt/Manifest
new file mode 100644
index 0000000..eaab916
--- /dev/null
+++ b/dev-python/docopt/Manifest
@@ -0,0 +1,3 @@
+DIST docopt-0.6.2.tar.gz 25901 BLAKE2B b44308bb4a6571ddd092de63401d16e31a9d9b93be9b132fb45503eb9d84273d7c1f20bc5b2e3e2d969506fcf760fff142c37197e0b92dc9e7f6f431fb0abcc0 SHA512 af138feccf8c37b374ee44fcda4938a88107d434df13c173214021b1a3348b152a595095a86982b66ac03a11db8e0f1e9e6a3a65c98deea92330311daeb831a3
+EBUILD docopt-0.6.2-r2.ebuild 806 BLAKE2B 14a7e37727722dd79fdcdc40e9e1ed28fa119737aa7c458e92497f82477f69525cc12eb061d2ddb280c71b8773377179331cab204c0edc9cc99356a01e5bb90c SHA512 12c7d6aba5872fd7053d6f0bfd4dc6fff7cc2a8a2ef0cb6e7538eaccd03a86bfed34036c5c76cc7b494d7a702e37d78313fd0d1694a76c35faa2b2671215e403
+MISC metadata.xml 374 BLAKE2B d1c77e8ce90431f3d8ddfa1adb0b016713e7f3d18feadb25126333973e0cd7341838a2082fbc99f0dfbb23a3d3416887211e3f7ead69eb3c7ec284b23e7a010d SHA512 a54f0d59a3cda28748bc2ec5546b29de60dc4dba144b57014636fef7b20c97d2b7b20f0ea8166cd8c9970b7434e43707359ceb76efb015a8a00d06a0786252b5
diff --git a/dev-python/docopt/docopt-0.6.2-r2.ebuild b/dev-python/docopt/docopt-0.6.2-r2.ebuild
new file mode 100644
index 0000000..96e1b04
--- /dev/null
+++ b/dev-python/docopt/docopt-0.6.2-r2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Pythonic argument parser, that will make you smile"
+HOMEPAGE="https://pypi.org/project/docopt/ https://github.com/docopt/docopt"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ https://github.com/docopt/docopt/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+# not implemented in this version, git already has it
+RESTRICT=test
+
+python_test() {
+ esetup.py test
+}
diff --git a/dev-python/docopt/metadata.xml b/dev-python/docopt/metadata.xml
new file mode 100644
index 0000000..47bf1c0
--- /dev/null
+++ b/dev-python/docopt/metadata.xml
@@ -0,0 +1,12 @@
+
+
+
+
+ python@gentoo.org
+ Python
+
+
+ docopt
+ docopt/docopt
+
+
diff --git a/metadata/layout.conf b/metadata/layout.conf
index d2f85b3..029406e 100644
--- a/metadata/layout.conf
+++ b/metadata/layout.conf
@@ -1,6 +1 @@
-masters = gentoo
-thin-manifests = true
-sign-manifests = false
-profile-formats = portage-2
-cache-formats = md5-dict
-
+masters = core-kit
diff --git a/profiles/repo_name b/profiles/repo_name
index 410f21a..25a8b2b 100644
--- a/profiles/repo_name
+++ b/profiles/repo_name
@@ -1 +1 @@
-gnuardo
+gnuardo-kit
diff --git a/sys-fs/udiskie/Manifest b/sys-fs/udiskie/Manifest
new file mode 100644
index 0000000..3603416
--- /dev/null
+++ b/sys-fs/udiskie/Manifest
@@ -0,0 +1,7 @@
+DIST udiskie-1.1.1.tar.gz 62207 BLAKE2B 47dea106580fbd037970b274205b896fa95e1f41cd8593bc9a14c8d19f40c3c44281e7334d4b0aaab0aa5e37146b8fa702afc4b82a2ed0e00549d2f9eb475533 SHA512 0524aeafb4777039a35be8854a0cf3bdbefd43eccb758da9aa2fa71fc4041816ff009dbbff20b4906c9bac281995c9923fcf542107a83c76ecb8c45d6b20b1ba
+DIST udiskie-1.7.5.tar.gz 92103 BLAKE2B 9996ea150c0052809825479f500c6bc44fa514a1b9433521b2a5d1d1de62546e16cd77fd94c61e73164af2bad34a8e9b0d5a681db99a66011950b435423456b3 SHA512 d6178b582bfe855cbf7710bc9699d10f1e06fbc303b9c5a352a7261734be18178b3fd7f44fece7d2a05e7fe85d1337c93fa11c3e6011abee44b62aafd1c7c656
+DIST udiskie-1.7.7.tar.gz 91858 BLAKE2B 7d9729f8c66e0d9afdf2b89f5cc2a941ce6726c809af1069146f13466eccdfa54ed45f43535d84592f1b09ccf6454814d7ff62d453781c547ebfb989fcab7767 SHA512 ea192cc8a50c742e96d5163bb1378a7cd110599cfe731d676343766a1ce3ee1102ab43322c5f9666d6c6a232e310fd494e0f76ad33aeab1fd8225a3267f3193a
+EBUILD udiskie-1.1.1.ebuild 1078 BLAKE2B 4b3f90ca67699ada2a3959cb91b0b68e11e17a597eca9a8f4c30da46a60b1635d93421ba891a0609ea70d4b946640411d0c678cef076bd4805db4e4d8ac2b82d SHA512 956d0c074d9d5dd414db188360d96182be8c799094d35ea16e94f42781b7db653471a80eab9b644cb94b088f0de3033d3ec3250a3df15118153477b54e945cff
+EBUILD udiskie-1.7.5.ebuild 1007 BLAKE2B ea45c955fa8aadc891eb60e396ff3dfbee9609fc56e7ae7dd23b15016ab5db70b13d9345f4a34e9df80d6c9670bdd6f6c5f62cee2ad5682564513c8725615eb8 SHA512 9ee8745ceae7d145d71e1807ab750cf087fdc013348cf352d9cbc52496843f834e6c96a6ee4f1df136c73c937e8062e104cfe4d5546e1d069526016be77c5d58
+EBUILD udiskie-1.7.7.ebuild 1009 BLAKE2B dc92320796f5b3152f892cde390c105c5a34221be922e15de2605fd190e9c7f15f645964b379586907cdc67293f25539f455ec28e05b0f9c0816e8e726acd8c6 SHA512 0f8b201090a0ed53fd97765e16e5035c14486c2739238f5cd998a6568a786f6162d3883bbe58d531933a4b9aa45d3d04f3e1aeb2e91d5c1ddc746342b07f9a9e
+MISC metadata.xml 369 BLAKE2B 0241a847b1eb2f650f66bc3fd631ccdf1927562d510e08c7bcd3db850752b665894838d0c705b7d03690aeea0aa93372d1faae5b313c9136d46e4913c177b0a4 SHA512 0772b0fa065a42292268b9e6a6b99b7198f5923bcc4697913b6c432db4e206a28b0fb1bd6c14b6363591cca02108a8a91029233824c3ec5bd7fbc592a941137e
diff --git a/sys-fs/udiskie/metadata.xml b/sys-fs/udiskie/metadata.xml
new file mode 100644
index 0000000..4edf040
--- /dev/null
+++ b/sys-fs/udiskie/metadata.xml
@@ -0,0 +1,12 @@
+
+
+
+
+ bkohler@gentoo.org
+ Ben Kohler
+
+
+ udiskie
+ coldfix/udiskie
+
+
diff --git a/sys-fs/udiskie/udiskie-1.1.1.ebuild b/sys-fs/udiskie/udiskie-1.1.1.ebuild
new file mode 100644
index 0000000..5a469d4
--- /dev/null
+++ b/sys-fs/udiskie/udiskie-1.1.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit distutils-r1 gnome2-utils
+
+DESCRIPTION="An automatic disk mounting service using udisks"
+HOMEPAGE="https://pypi.org/project/udiskie/ https://github.com/coldfix/udiskie"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm x86"
+IUSE=""
+
+RDEPEND="dev-python/docopt[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ sys-fs/udisks:2"
+DEPEND="app-text/asciidoc
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+src_prepare() {
+ sed -i \
+ -e "s:udiskie.__version__:2:" \
+ -e 's:gtk-update-icon-cache:true:' \
+ setup.py || die
+
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ emake -C doc
+}
+
+src_install() {
+ distutils-r1_src_install
+ doman doc/${PN}.8
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/sys-fs/udiskie/udiskie-1.7.5.ebuild b/sys-fs/udiskie/udiskie-1.7.5.ebuild
new file mode 100644
index 0000000..2215209
--- /dev/null
+++ b/sys-fs/udiskie/udiskie-1.7.5.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{5,6} )
+inherit distutils-r1 gnome2-utils
+
+DESCRIPTION="An automatic disk mounting service using udisks"
+HOMEPAGE="https://pypi.org/project/udiskie/ https://github.com/coldfix/udiskie"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RDEPEND="dev-python/docopt[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ sys-fs/udisks:2"
+DEPEND="app-text/asciidoc
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+src_prepare() {
+ sed -i -e 's:gtk-update-icon-cache:true:' setup.py || die
+ default
+
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ emake -C doc
+}
+
+src_install() {
+ distutils-r1_src_install
+ doman doc/${PN}.8
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/sys-fs/udiskie/udiskie-1.7.7.ebuild b/sys-fs/udiskie/udiskie-1.7.7.ebuild
new file mode 100644
index 0000000..3e9f56a
--- /dev/null
+++ b/sys-fs/udiskie/udiskie-1.7.7.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{5,6,7} )
+inherit distutils-r1 gnome2-utils
+
+DESCRIPTION="An automatic disk mounting service using udisks"
+HOMEPAGE="https://pypi.org/project/udiskie/ https://github.com/coldfix/udiskie"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RDEPEND="dev-python/docopt[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ sys-fs/udisks:2"
+DEPEND="app-text/asciidoc
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+src_prepare() {
+ sed -i -e 's:gtk-update-icon-cache:true:' setup.py || die
+ default
+
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ emake -C doc
+}
+
+src_install() {
+ distutils-r1_src_install
+ doman doc/${PN}.8
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}